package ink.wgink.module.examine.service.paper.question.impl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import ink.wgink.common.base.DefaultBaseService;
import ink.wgink.module.examine.dao.paper.question.IPaperQuestionDao;
import ink.wgink.module.examine.pojo.dtos.paper.question.PaperQuestionDTO;
import ink.wgink.module.examine.service.paper.question.IPaperQuestionService;
import ink.wgink.pojo.ListPage;
import ink.wgink.pojo.result.SuccessResultList;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @Description: 试卷试题
 * @Author: WenG
 * @Date: 2022/5/23 23:44
 * @Version: 1.0
 **/
@Service
public class PaperQuestionServiceImpl extends DefaultBaseService implements IPaperQuestionService {

    @Autowired
    private IPaperQuestionDao paperQuestionDao;

    @Override
    public List<PaperQuestionDTO> list(String paperId, Map<String, Object> params) {
        params = params == null ? getHashMap(0) : params;
        return paperQuestionDao.list(params);
    }

    @Override
    public SuccessResultList<List<PaperQuestionDTO>> listPage(String paperId, ListPage page) {
        PageHelper.startPage(page.getPage(), page.getRows());
        List<PaperQuestionDTO> paperQuestionDTOS = paperQuestionDao.list(page.getParams());
        PageInfo<PaperQuestionDTO> pageInfo = new PageInfo<>(paperQuestionDTOS);
        return new SuccessResultList<>(paperQuestionDTOS, pageInfo.getPageNum(), pageInfo.getTotal());
    }
}
